import 'package:flutter/material.dart';
import 'package:lazy_data_table/lazy_data_table.dart';

class SortableTable extends StatelessWidget {
  final _data = [
    ['o', 'y', 'k', 'm', 'c'],
    ['b', 'g', 'h', 's', 'i'],
    ['n', 'l', 'd', 'u', 't'],
    ['x', 'r', 'e', 'v', 'q'],
    ['f', 'j', 'w', 'p', 'a'],
  ];

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text("Sortable table"),
      ),
      body: LazyDataTable(
        rows: 5,
        columns: 5,
        tableDimensions: LazyDataTableDimensions(
          cellHeight: 50,
          cellWidth: 100,
          topHeaderHeight: 50,
          leftHeaderWidth: 75,
        ),
        topHeaderBuilder: (i) => Center(child: Text("Reset")),
        leftHeaderBuilder: (i) => Center(child: Text("Sort this row")),
        dataCellBuilder: (i, j) => Center(child: Text("${_data[i][j]}")),
        topLeftCornerWidget:
            GestureDetector(
                onTap: () {
                },
                child: Center(child: Text("Corner"))),
      ),
    );
  }
}
